
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "star_target"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "star-target"

	actor[cp_actor_type]			= cat_block + cat_star_target
	actor[cp_these_collide_with_me]	= cat_crystal

	actor[cp_in_beastie_count]		= 0

	actor[cp_launch_scale_min]		= 35.0
	actor[cp_launch_scale_max]		= 35.0

	actor[cp_score]					= 15
	actor[cp_egg_count]				= 1

-- leave me
	c_preload_model( actor )
-- leave me

--	c_set_random_anim( "sway5", 100.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 1.0 )

	c_add_particle_to_anim( "sway1", "parts", "star-twinkle1" )
	c_add_particle_to_anim( "sway2", "parts", "star-twinkle2" )
	c_add_particle_to_anim( "sway3", "parts", "star-twinkle3" )
	c_add_particle_to_anim( "sway4", "parts", "star-twinkle4" )
	c_add_particle_to_anim( "sway4", "parts", "star-warning" )
	c_add_particle_to_anim( "sway5", "parts", "star-twinkle5" )
	c_add_particle_to_anim( "sway5", "parts", "star-warning2" )	

	c_add_particle_to_anim( "sway1", "parts", "star-twinkle1" )
	c_add_particle_to_anim( "sway2", "parts", "star-twinkle2" )	
	c_add_particle_to_anim( "sway3", "parts", "star-twinkle3" )
	c_add_particle_to_anim( "sway4", "parts", "star-twinkle4" )
	c_add_particle_to_anim( "sway4", "parts", "star-warning" )
	c_add_particle_to_anim( "sway5", "parts", "star-twinkle5" )
	c_add_particle_to_anim( "sway5", "parts", "star-warning2" )

	c_add_shadow_to_bone( "lagbone_x", 15.0 )	

